package org.jeecg.modules.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.system.entity.FileInfo;

import javax.servlet.http.HttpServletResponse;

/**
 * @Description: 文件信息表
 * @Author: jeecg-boot
 * @Date: 2023-02-21
 * @Version: V1.0
 */
public interface IFileInfoService extends IService<FileInfo> {

    /**
     * 从minio下载文件
     *
     * @return
     */
    void downloadFile(String fileSaveId, HttpServletResponse response);


    /**
     * 保存文件
     *
     * @param fileName
     * @return
     */
    FileInfo saveFile(String fileSaveId, String fileName, Long videoDuration);


    /**
     * 根据文件保存id查询
     *
     * @param fileSaveId
     * @return
     */
    FileInfo listByFileSaveId(String fileSaveId);
}
