package com.ynfy.buss.banner.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: banner
 * @Author: jeecg-boot
 * @Date: 2023-12-17
 * @Version: V1.0
 */
@Data
@TableName("banner")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "banner对象", description = "banner")
public class Banner implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 标题
     */
    @Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private String title;
    /**
     * 链接
     */
    @Excel(name = "链接", width = 15)
    @ApiModelProperty(value = "链接")
    private String link;
    /**
     * 图片路径
     */
    @Excel(name = "图片路径", width = 15)
    @ApiModelProperty(value = "图片路径")
    private String imgUrl;
    /**
     * 视频路径
     */
    @Excel(name = "视频路径", width = 15)
    @ApiModelProperty(value = "视频路径")
    private String videoUrl;
    /**
     * 媒体类型
     */
    @Excel(name = "媒体类型", width = 15)
    @ApiModelProperty(value = "媒体类型")
    @Dict(dicCode = "media_type")
    private Integer mediaType;
    /**
     * 子标题
     */
    @Excel(name = "子标题", width = 15)
    @ApiModelProperty(value = "子标题")
    private String subTitle;
    /**
     * 链接名称
     */
    @Excel(name = "链接名称", width = 15)
    @ApiModelProperty(value = "链接名称")
    private String linkName;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;
}
