package com.ynfy.buss.course.category.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ynfy.buss.course.category.entity.CourseCategory;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.vo.SelectTreeModel;

import java.util.List;
import java.util.Map;

/**
 * @Description: 课程分类
 * @Author: jeecg-boot
 * @Date: 2024-01-21
 * @Version: V1.0
 */
public interface CourseCategoryMapper extends BaseMapper<CourseCategory> {

    /**
     * 编辑节点状态
     *
     * @param id
     * @param status
     */
    void updateTreeNodeStatus(@Param("id") String id, @Param("status") String status);

    /**
     * 【vue3专用】根据父级ID查询树节点数据
     *
     * @param pid
     * @param query
     * @return
     */
    List<SelectTreeModel> queryListByPid(@Param("pid") String pid, @Param("query") Map<String, String> query);

}
