package com.ynfy.buss.exam.exam.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@TableName("exam_papers")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "exam_papers对象", description = "exam_papers")
public class ExamPapers implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 考试id
     */
    @Excel(name = "考试id", width = 15)
    @ApiModelProperty(value = "考试id")
    private String examId;
    /**
     * 试卷id
     */
    @Excel(name = "试卷id", width = 15)
    @ApiModelProperty(value = "试卷id")
    private String paperId;
    /**
     * 考试顺序
     */
    @Excel(name = "考试顺序", width = 15)
    @ApiModelProperty(value = "考试顺序")
    private Integer paperOrder;
    /**
     * 考试时长
     */
    @Excel(name = "考试时长", width = 15)
    @ApiModelProperty(value = "考试时长")
    private Integer paperTime;
    /**
     * 试卷总分
     */
    @Excel(name = "试卷总分", width = 15)
    @ApiModelProperty(value = "试卷总分")
    private Double totalScore;
    /**
     * 及格分
     */
    @Excel(name = "及格分", width = 15)
    @ApiModelProperty(value = "及格分")
    private Double qualifyScore;

    /**
     * createTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
    /**
     * title
     */
    @TableField(exist = false,select = false)
    private String title;
    /**
     * 状态state
     */
    @TableField(exist = false,select = false)
    private Integer state;
}
