package com.ynfy.buss.exam.examstatistics.dto;

import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;

import java.util.Date;

/**
 * @Description: 考试统计表DTO
 * @Author: jeecg-boot
 * @Date: 2023-03-20
 * @Version: V1.0
 */
@Data
public class ExamStatisticsDTO {
    private String userExamId;
    private String userId;
    private String username;

    /**
     * 用户真实姓名
     */
    private String realname;

    private String examId;

    /**
     * 考试名称
     */
    private String title;

    /**
     * 考试权限 1公开2部门3定员
     */
    @Dict(dicCode = "open_type")
    private Integer openType;

    /**
     * 考试时长
     */
    private Integer totalTime;

    /**
     * 试卷总分
     */
    private Double totalScore;
    /**
     * 及格分
     */
    private Double qualifyScore;

    /**
     * 用户用时
     */
    private Integer userTime;

    /**
     * 用户得分
     */
    private Double userScore;

    /**
     * 交卷时间
     */
    private Date commitExamTime;

    /**
     * 开始考试时间
     */
    private Date startExamTime;


    /**
     * 是否通过
     */
    private Integer passed;


    /**
     * 考试次数
     */
    private Integer tryCount;
}
