package com.ynfy.buss.exam.paper.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: paper
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
@Data
@TableName("paper")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "paper对象", description = "paper")
public class Paper implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 试卷名称
     */
    @Excel(name = "试卷名称", width = 15)
    @ApiModelProperty(value = "试卷名称")
    private String title;
    /**
     * 试卷总分
     */
    @Excel(name = "试卷总分", width = 15)
    @ApiModelProperty(value = "试卷总分")
    private Double totalScore;
    /**
     * 组卷类型 1:选题组卷 2.随机组卷
     */
    @Excel(name = "组卷类型 1:选题组卷 2.随机组卷", width = 15)
    @ApiModelProperty(value = "组卷类型 1:选题组卷 2.随机组卷")
    @Dict(dicCode = "join_type")
    private Integer joinType;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * createTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy")
    private String updateBy;
    /**
     * updateTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * 试题总数
     */
    @Excel(name = "试题总数", width = 15)
    @ApiModelProperty(value = "试题总数")
    private Integer questionCount;

    /**
     * 是否有主观题
     */
    @Excel(name = "是否有主观题", width = 15)
    @ApiModelProperty(value = "是否有主观题")
    private Boolean hasSubjective;

    /**
     * 组卷方式文本
     */
    @TableField(exist = false)
    private String joinType_dictText;
}
