package com.ynfy.buss.exam.paperruledetail.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: paper_rule_detail
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
@Data
@TableName("paper_rule_detail")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "paper_rule_detail对象", description = "paper_rule_detail")
public class PaperRuleDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 题库id
     */
    @Excel(name = "题库id", width = 15)
    @ApiModelProperty(value = "题库id")
    private String repositoryId;
    /**
     * 难度
     */
    @Excel(name = "难度", width = 15)
    @ApiModelProperty(value = "难度")
    private Integer level;
    /**
     * 所属组id
     */
    @Excel(name = "所属组id", width = 15)
    @ApiModelProperty(value = "所属组id")
    private String groupId;
    /**
     * 所属试卷id
     */
    @Excel(name = "所属试卷id", width = 15)
    @ApiModelProperty(value = "所属试卷id")
    private String paperId;

    /**
     * 题目数量
     */
    @Excel(name = "题目数量", width = 15)
    @ApiModelProperty(value = "题目数量")
    private Integer num;
    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * 题型
     */
    @Excel(name = "题型", width = 15)
    @ApiModelProperty(value = "题型")
    private Integer questionType;

    @TableField(exist = false)
    private String repositoryName;

    @TableField(exist = false)
    private String level_dictText;
}
