package com.ynfy.buss.exam.questionanswer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: question_answer
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
@Data
@TableName("question_answer")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "question_answer对象", description = "question_answer")
public class QuestionAnswer implements Serializable, Cloneable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 题目ID
     */
    @Excel(name = "题目ID", width = 15)
    @ApiModelProperty(value = "题目ID")
    private String questionId;
    /**
     * 答案内容
     */
    @Excel(name = "答案内容", width = 15)
    @ApiModelProperty(value = "答案内容")
    private String content;
    /**
     * 答案分析
     */
    @Excel(name = "答案分析", width = 15)
    @ApiModelProperty(value = "答案分析")
    private String analysis;
    /**
     * 是否正确
     */
    @Excel(name = "是否正确", width = 15)
    @TableField(value = "is_right")
    @ApiModelProperty(value = "是否正确")
    private Boolean isRight;
    /**
     * tag
     */
    @Excel(name = "tag", width = 32)
    @ApiModelProperty(value = "tag")
    private String tag; //ABCDEF....

    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * 漏选给分分值
     */
    @TableField(exist = false)
    private Double pathScore;

    /**
     * 深拷贝
     *
     * @return
     * @throws CloneNotSupportedException
     */
    @Override
    public QuestionAnswer clone() throws CloneNotSupportedException {
        return (QuestionAnswer) super.clone();
    }
}
