package com.ynfy.buss.exam.userexamquestionanswer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 用户考试答案表
 * @Author: jeecg-boot
 * @Date: 2023-04-01
 * @Version: V1.0
 */
@Data
@TableName("user_exam_question_answer")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "user_exam_question_answer对象", description = "用户考试答案表")
public class UserExamQuestionAnswer implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 用户考试id
     */
    @Excel(name = "用户考试id", width = 15)
    @ApiModelProperty(value = "用户考试id")
    private String userExamId;
    /**
     * 试卷id
     */
    @Excel(name = "试卷id", width = 15)
    @ApiModelProperty(value = "试卷id")
    private String paperId;
    /**
     * 题目ID
     */
    @Excel(name = "题目ID", width = 15)
    @ApiModelProperty(value = "题目ID")
    private String questionId;
    /**
     * 回答项ID
     */
    @Excel(name = "回答项ID", width = 15)
    @ApiModelProperty(value = "回答项ID")
    private String answerId;
    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer sort;
    /**
     * 选项标签
     */
    @Excel(name = "选项标签", width = 15)
    @ApiModelProperty(value = "选项标签")
    private String tag;
    /**
     * 是否正确项
     */
    @Excel(name = "是否正确项", width = 15)
    @ApiModelProperty(value = "是否正确项")
    private Boolean isRight;
    /**
     * 是否选中
     */
    @Excel(name = "是否选中", width = 15)
    @ApiModelProperty(value = "是否选中")
    private Boolean checked;
}
