package com.ynfy.buss.exam.userexamresult.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 用户考试成绩
 * @Author: jeecg-boot
 * @Date: 2023-03-09
 * @Version: V1.0
 */
@Data
@TableName("user_exam_result")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "user_exam_result对象", description = "用户考试成绩")
public class UserExamResult implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 用户ID
     */
    @Excel(name = "用户ID", width = 15)
    @ApiModelProperty(value = "用户ID")
    private String userId;
    /**
     * 考试ID
     */
    @Excel(name = "考试ID", width = 15)
    @ApiModelProperty(value = "考试ID")
    private String examId;
    /**
     * 试卷ID
     */
    @Excel(name = "试卷ID", width = 15)
    @ApiModelProperty(value = "试卷ID")
    private String paperId;
    /**
     * 考试次数
     */
    @Excel(name = "考试次数", width = 15)
    @ApiModelProperty(value = "考试次数")
    private Integer tryCount;
    /**
     * 最高分数
     */
    @Excel(name = "最高分数", width = 15)
    @ApiModelProperty(value = "最高分数")
    private Double maxScore;
    /**
     * 是否通过
     */
    @Excel(name = "是否通过", width = 15)
    @ApiModelProperty(value = "是否通过")
    @Dict(dicCode = "exam_result")
    private Integer passed;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;

    /**
     * 考试名称
     */
    @TableField(exist = false)
    private String examTitle;

    /**
     * 考试封面
     */
    @TableField(exist = false)
    private String examCover;
}
